Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 04 Feb 2021 10:22:40 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Such a bad experience shopping with baby shop, placed my order on 27th January 2021.i was continuously calling customer care for tracking of my order  and everyday they were telling that order will be delivered next day.
Today after a week, when called customer care to know the details of my order  I was told that my order is cancelled due to technical issue I was informed when I called after waiting for so long.
please make refund as soon as possible.
worst online shopping experience in UAE. Will not suggest anyone to go for online purchase with UAE babyshop. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2055131